com.parse

## Class ParseTwitterUtils

- java.lang.Object
- - com.parse.ParseTwitterUtils

    public final class ParseTwitterUtils
    extends Object

Provides a set of utilities for using Parse with Twitter.

### Method Summary

Methods
`static Twitter` `getTwitter()` Gets the shared `Twitter` singleton that Parse is using.
`static void` `initialize(String consumerKey, String consumerSecret)` Initializes Twitter for use with Parse.
`static boolean` `isLinked(com.parse.ParseUser user)`
`static void` `link(com.parse.ParseUser user, Context context)` Deprecated. Please use `linkInBackground(Context, ParseUser)` instead.
`static void` `link(com.parse.ParseUser user, Context context, com.parse.SaveCallback callback)` Links a ParseUser to a Twitter account, allowing you to use Twitter for authentication, and providing access to Twitter data for the user.
`static void` `link(com.parse.ParseUser user, String twitterId, String screenName, String authToken, String authTokenSecret)` Deprecated. Please use `linkInBackground(ParseUser, String, String, String, String)` instead.
`static void` `link(com.parse.ParseUser user, String twitterId, String screenName, String authToken, String authTokenSecret, com.parse.SaveCallback callback)` Links a ParseUser to a Twitter account, allowing you to use Twitter for authentication, and providing access to Twitter data for the user.
`static Task<Void>` `linkInBackground(Context context, com.parse.ParseUser user)` Links a ParseUser to a Twitter account, allowing you to use Twitter for authentication, and providing access to Twitter data for the user.
`static Task<Void>` `linkInBackground(com.parse.ParseUser user, String twitterId, String screenName, String authToken, String authTokenSecret)` Links a ParseUser to a Twitter account, allowing you to use Twitter for authentication, and providing access to Twitter data for the user.
`static void` `logIn(Context context, com.parse.LogInCallback callback)` Logs in a ParseUser using Twitter for authentication.
`static void` `logIn(String twitterId, String screenName, String authToken, String authTokenSecret, com.parse.LogInCallback callback)` Logs in a ParseUser using Twitter for authentication.
`static Task<com.parse.ParseUser>` `logInInBackground(Context context)` Logs in a ParseUser using Twitter for authentication.
`static Task<com.parse.ParseUser>` `logInInBackground(String twitterId, String screenName, String authToken, String authTokenSecret)` Logs in a ParseUser using Twitter for authentication.
`static void` `unlink(com.parse.ParseUser user)` Unlinks a user from a Twitter account.
`static Task<Void>` `unlinkInBackground(com.parse.ParseUser user)` Unlinks a user from a Twitter account in the background.
`static void` `unlinkInBackground(com.parse.ParseUser user, com.parse.SaveCallback callback)` Unlinks a user from a Twitter account in the background.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getTwitter

    public static Twitter getTwitter()

Gets the shared `Twitter` singleton that Parse is using.

Returns:
  `Twitter` instance.

#### initialize

    public static void initialize(String consumerKey,
                  String consumerSecret)

Initializes Twitter for use with Parse. This method must be invoked prior to calling `link(ParseUser, Context, SaveCallback)` and `logIn(Context, LogInCallback)`.

Parameters:
  `consumerKey` - Your Twitter consumer key.
  `consumerSecret` - Your Twitter consumer secret.

#### isLinked

    public static boolean isLinked(com.parse.ParseUser user)

Returns:
  `true` if the user is linked to a Twitter account.

#### linkInBackground

    public static Task<Void> linkInBackground(Context context,
                              com.parse.ParseUser user)

Links a ParseUser to a Twitter account, allowing you to use Twitter for authentication, and providing access to Twitter data for the user. A dialog will be shown to the user for Twitter authentication.

Parameters:
  `user` - The user to link to a Twitter account.
  `context` - An Android context from which the login dialog can be launched.
Returns:
  A Task that will be resolved when linking is completed.

#### link

    @Deprecated
    public static void link(com.parse.ParseUser user,
                       Context context)

Deprecated. Please use `linkInBackground(Context, ParseUser)` instead.

#### link

    public static void link(com.parse.ParseUser user,
            Context context,
            com.parse.SaveCallback callback)

Links a ParseUser to a Twitter account, allowing you to use Twitter for authentication, and providing access to Twitter data for the user. A dialog will be shown to the user for Twitter authentication.

Parameters:
  `user` - The user to link to a Twitter account.
  `context` - An Android context from which the login dialog can be launched.
  `callback` - Callback for notifying the calling application when the Twitter authentication has completed, failed, or been canceled.
See Also:
  `linkInBackground(Context, ParseUser)`

#### linkInBackground

    public static Task<Void> linkInBackground(com.parse.ParseUser user,
                              String twitterId,
                              String screenName,
                              String authToken,
                              String authTokenSecret)

Links a ParseUser to a Twitter account, allowing you to use Twitter for authentication, and providing access to Twitter data for the user. This method allows you to handle getting the auth tokens for your users, rather than delegating to the provided dialog log-in.

Parameters:
  `user` - The user to link to a Twitter account.
  `twitterId` - The user's Twitter ID.
  `screenName` - The user's Twitter screen name.
  `authToken` - The auth token for the session.
  `authTokenSecret` - The auth token secret for the session.
Returns:
  A Task that will be resolved when linking is completed.

#### link

    @Deprecated
    public static void link(com.parse.ParseUser user,
                       String twitterId,
                       String screenName,
                       String authToken,
                       String authTokenSecret)

Deprecated. Please use `linkInBackground(ParseUser, String, String, String, String)` instead.

#### link

    public static void link(com.parse.ParseUser user,
            String twitterId,
            String screenName,
            String authToken,
            String authTokenSecret,
            com.parse.SaveCallback callback)

Links a ParseUser to a Twitter account, allowing you to use Twitter for authentication, and providing access to Twitter data for the user. This method allows you to handle getting the auth tokens for your users, rather than delegating to the provided dialog log-in.

Parameters:
  `user` - The user to link to a Twitter account.
  `twitterId` - The user's Twitter ID.
  `screenName` - The user's Twitter screen name.
  `authToken` - The auth token for the session.
  `authTokenSecret` - The auth token secret for the session.
  `callback` - Callback for notifying that the authentication data has been saved to the ParseUser.
See Also:
  `linkInBackground(ParseUser, String, String, String, String)`

#### logInInBackground

    public static Task<com.parse.ParseUser> logInInBackground(String twitterId,
                                              String screenName,
                                              String authToken,
                                              String authTokenSecret)

Logs in a ParseUser using Twitter for authentication. If a user for the given Twitter credentials does not already exist, a new user will be created. This method allows you to handle getting the auth tokens for your users, rather than delegating to the provided dialog log-in.

Parameters:
  `twitterId` - The user's Twitter ID.
  `screenName` - The user's Twitter screen name.
  `authToken` - The auth token for the session.
  `authTokenSecret` - The auth token secret for the session.
Returns:
  A Task that will be resolved when logging in is completed.

#### logIn

    public static void logIn(String twitterId,
             String screenName,
             String authToken,
             String authTokenSecret,
             com.parse.LogInCallback callback)

Logs in a ParseUser using Twitter for authentication. If a user for the given Twitter credentials does not already exist, a new user will be created. This method allows you to handle getting the auth tokens for your users, rather than delegating to the provided dialog log-in.

Parameters:
  `twitterId` - The user's Twitter ID.
  `screenName` - The user's Twitter screen name.
  `authToken` - The auth token for the session.
  `authTokenSecret` - The auth token secret for the session.
  `callback` - Callback for notifying that the authentication data has been saved to the ParseUser.
See Also:
  `logInInBackground(String, String, String, String)`

#### logInInBackground

    public static Task<com.parse.ParseUser> logInInBackground(Context context)

Logs in a ParseUser using Twitter for authentication. If a user for the given Twitter credentials does not already exist, a new user will be created. A dialog will be shown to the user for Twitter authentication.

Parameters:
  `context` - An Android context from which the login dialog can be launched.
Returns:
  A Task that will be resolved when logging in is completed.

#### logIn

    public static void logIn(Context context,
             com.parse.LogInCallback callback)

Logs in a ParseUser using Twitter for authentication. If a user for the given Twitter credentials does not already exist, a new user will be created. A dialog will be shown to the user for Twitter authentication.

Parameters:
  `context` - An Android context from which the login dialog can be launched.
  `callback` - Callback for notifying the calling application when the Twitter authentication has completed, failed, or been canceled.
See Also:
  `logInInBackground(android.content.Context)`

#### unlink

    public static void unlink(com.parse.ParseUser user)
                       throws com.parse.ParseException

Unlinks a user from a Twitter account. Unlinking a user will save the user's data.

Parameters:
  `user` - The user to unlink from a Facebook account.
Throws:
  `com.parse.ParseException`

#### unlinkInBackground

    public static Task<Void> unlinkInBackground(com.parse.ParseUser user)

Unlinks a user from a Twitter account in the background. Unlinking a user will save the user's data.

Parameters:
  `user` - The user to unlink from a Facebook account.
Returns:
  A Task that will be resolved when unlinking is completed.

#### unlinkInBackground

    public static void unlinkInBackground(com.parse.ParseUser user,
                          com.parse.SaveCallback callback)

Unlinks a user from a Twitter account in the background. Unlinking a user will save the user's data.

Parameters:
  `user` - The user to unlink from a Facebook account.
  `callback` - Callback for notifying when unlinking is complete.
See Also:
  `unlinkInBackground(ParseUser)`